function dx = funcao_derivada(y,u,ut,beta,pi_t,l2,a3,m1,m2,m3,Cd,S,C_c,L,ro,Um,M11,M12,M21,M22,C22,C23,C32,C33,K22,K23,K32,K33,t)

u = interp1(ut,u',t);
uy=l2*cos(y(4))*y(3)+a3*cos(y(6))*y(5);
alpha=-y(6)+atan(uy/Um);
U=(uy^2+Um^2)^0.5;

dx4 = y(3);
dx3 = (1/M11)*(C22*y(3)+C23*y(5)+K22*y(4)+K23*y(6)+beta*u(2));
dx6 = y(5);
dx5 = (1/(M22-(M21*M12/M11)))*(C32*y(3)+C33*y(5)+K32*y(4)+K33*y(6)+M21*u(2)/M11);
duy = -l2*sin(y(4))*y(3)^2+l2*cos(y(4))*dx3+a3*cos(y(6))*dx5-a3*sin(y(6))*y(5)^2;
dalpha = -y(5)+duy/(1+uy^2/Um^2);
dU=(0.5*(uy^2+Um^2)*2*uy*duy);
dx2 = y(1);
dx1 = (-pi_t*ro*L*C_c^2*(dU*sin(alpha)+dalpha*U*cos(alpha))*sin(y(6)) - 2*pi_t*ro*L*C_c*U^2*sin(alpha)*cos(alpha)*sin(y(6)) + u(3) - Cd*ro*S*Um*y(1) + 0.5*Cd*ro*(y(1))^2*S)/(m1+m2+m3);

dx=[dx1;dx2;dx3;dx4;dx5;dx6];
end